#!/bin/sh
#source: http://ftp.gnome.org/pub/GNOME/sources/gail/1.22/
#maintainer: oskar

CWD=`pwd`
TMP=/tmp
PKG=$TMP/package-gail

VERSION=1.22.3
ARCH=i486
BUILD=54.1

rm -rf $PKG
mkdir -p $PKG

SLKCFLAGS="-O2 -march=i486 -mtune=i686"

cd $TMP 
tar xjvf $CWD/gail-$VERSION.tar.bz2
cd gail-$VERSION
chown -R root.root .
find . -perm 666 -exec chmod 644 {} \;
find . -perm 664 -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
./configure --prefix=/usr \
	    --sysconfdir=/etc \
            --localstatedir=/var/lib \
            --disable-static \
            $ARCH-slackware-linux

make
make install DESTDIR=$PKG

chown -R root.bin $PKG/usr/bin

mkdir -p $PKG/usr/doc/gail-$VERSION
cp -a \
  AUTHORS BUGS COPYING HACKING MAINTAINERS NEWS README \
  $PKG/usr/doc/gail-$VERSION
find $PKG/usr/doc/gail-$VERSION/ -type f -exec chmod 644 {} \;
chown -R root.root $PKG/usr/doc/gail-$VERSION/*

# strip:
( cd $PKG
  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)

gzip -9 $PKG/usr/man/*/*

mkdir -p $PKG/usr/src/gail-$VERSION
cp $CWD/build-gail.sh $PKG/usr/src/gail-$VERSION

mkdir -p $PKG/install
cat <<"EOF" > $PKG/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|' on
# the right side marks the last column you can put a character in.  You must make
# exactly 11 lines for the formatting to be correct.  It's also customary to
# leave one space after the ':'.
   |-----handy-ruler------------------------------------------------------|
gail: gail
gail:
gail: This directory contains GAIL (GNOME Accessibility Interface) utility
gail: library.  For more information about accessibility in GNOME, see:
gail:
gail:   http://developer.gnome.org/projects/gap
gail:
gail:
gail:
gail:
gail:
EOF

cd $PKG
makepkg -l y -c n $TMP/gail-$VERSION-$ARCH-$BUILD.tgz
cd ..
md5sum gail-$VERSION-$ARCH-$BUILD.tgz > gail-$VERSION-$ARCH-$BUILD.md5
